<?php
if ( ! function_exists( 'home_care_setup' ) ) :
	function home_care_setup() {
		add_theme_support( "title-tag");
		add_theme_support( 'automatic-feed-links' );
	}
endif;
add_action( 'after_setup_theme', 'home_care_setup' );


function home_care_enqueue_styles() {
    wp_enqueue_style( 'gridchamp-style', get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'home-care-style',get_stylesheet_directory_uri() . '/style.css',array('gridchamp-style'));
}
add_action( 'wp_enqueue_scripts', 'home_care_enqueue_styles' );


function home_care_customizer_default_settings() {
	set_theme_mod( 'gridchamp_primary_color', '#05b3bb' );
	set_theme_mod( 'gridchamp_secondary_color', '#e22555' );
	set_theme_mod('gridchamp_about_bg_color','#ffffff');
	set_theme_mod('cta_bg_color','#05b3bb');
	set_theme_mod('gridchamp_service_section_padding_top','70');
	set_theme_mod('gridchamp_extra_cta_section_padding_top','0');
	set_theme_mod('gridchamp_extra_cta_section_padding_bottom','0');
	set_theme_mod('slider_primary_btn_color','#05b3bb');
	set_theme_mod('slider_primary_btn_hover_color','#ffffff');
	set_theme_mod('subheader_bg_color','#05b3bb');
	set_theme_mod('banner_image_opacity','0.546');
}
add_action( 'after_switch_theme', 'home_care_customizer_default_settings' );

if ( ! function_exists( 'home_care_footer_copyright' ) ) :
	function home_care_footer_copyright() {
		$gridchamp_copyright = get_theme_mod('footer_copiright_text');
		if(get_theme_mod('copyright_text_alignment') =='copyright-text-align-left'){
			$copyright_text_align_class ="text-left";
		}else{
			$copyright_text_align_class ="text-center";
		}
		if($gridchamp_copyright && gridchamp_set_to_premium() ){?>
			<div class="site-info walkerwp-grid-12 <?php echo esc_attr($copyright_text_align_class);?>"><?php echo wp_kses_post($gridchamp_copyright);?></div>
		<?php } else{ ?>
			<div class="site-info walkerwp-grid-12 <?php echo esc_attr($copyright_text_align_class);?>">
				<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'home-care' ) ); ?>">
					<?php
					/* translators: %s: CMS name, i.e. WordPress. */
					printf( esc_html__( 'Proudly powered by %s', 'home-care' ), 'WordPress' );
					?>
				</a>
				<span class="sep"> | </span>
					<?php
					/* translators: 1: Theme name, 2: Theme author. */
					printf( esc_html__( 'Theme: %1$s by %2$s.', 'home-care' ), 'Home Care', '<a href="http://walkerwp.com/">WalkerWP</a>' );
					?>
			</div><!-- .site-info -->
		<?php } ?>
	<?php }
endif;
?>